MacDraft5ParserInternal::Image Struct Reference

Internal and low level: a image of a library used in MacDraf5Parser. More...

## Public Member Functions
| Image ()
| constructor

## Public Attributes
long | m_id
| the first shape id ( in general a group )
librevenge::RVNGString | m_name
| the image name
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Image const &im)
| operator<<

## Detailed Description

Internal and low level: a image of a library used in MacDraf5Parser.

## Constructor & Destructor Documentation

## ◆ Image()

MacDraft5ParserInternal::Image::Image | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Image const & | im )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string MacDraft5ParserInternal::Image::m_extra

extra data

Referenced by Image(), and operator<<.

## ◆ m_id

long MacDraft5ParserInternal::Image::m_id

the first shape id ( in general a group )

Referenced by Image(), operator<<, and MacDraft5Parser::send().

## ◆ m_name

librevenge::RVNGString MacDraft5ParserInternal::Image::m_name

the image name

Referenced by Image(), and operator<<.

The documentation for this struct was generated from the following file:

- MacDraft5Parser.cxx